{% load static i18n don_template_functions %}

{% if repository.archived %}
<div class="card__header mb-0">
    <p class="card__header__archived">
        Deze repository wordt niet actief ontwikkeld of onderhouden en is <span title="De gearchiveerde status word gegeven aan projecten waar geen onderhoud op is en input niet word behandeld. Bijvoorbeeld oude en ongebruikte projecten of eenmalige Wet Open Overheid vrijgave.">gearchiveerd</span>.
    </p>
</div>
{% endif %}
<li class="card card--horizontal card--padding-md mb-2 {% if repository.archived %} card--not-rounded-top {% endif %}">
    <div class="card__body">
        <div class="card__avatar">
            {% if repository.avatar_url %}
            <img src="{{ repository.avatar_url }}" alt="Avatar van {{ repository.name }}"/>
            {% else %}
            <img src="{% static 'images/repository-placeholder.svg' %}" alt=""/>
            {% endif %}
        </div>
        <div class="card__left card__left--full-width">
            <div class="card__left__links flex">
                <a href="{% url 'web:repository_detail' slug=repository.slug %}" class="card__link card__link--around-avatar mb-0">{{ owner_name }} / <span class="font-weight-600">{{ repository.name }}</span></a>
            </div>
            <a href="{{ repository.organization.get_absolute_url }}" class="card__sub-title">{{ repository.organization.name }}</a>
            
            <div class="card__description mb-3">
                {% if repository.description %}
                    {{ repository.description }}
                {% else %}
                    <i>Geen beschrijving ingevuld</i>
                {% endif %}
            </div>
            {% if repository.topics.all %}
            <div class="mb-2">
                {% for name in repository.topics.all %}
                <a href="{{ request.path_info }}?thema={{ name }}" class="pill pill--gray topic-pill pill--clickable mb-1">{{ name }}</a>
                {% endfor %}
            </div>
            {% endif %}
            <div class="card__details">
                {% if repository.main_programming_language or stars_url or forks_url or issues_url %}
                <div class="card__details__left">
                    {% if repository.main_programming_language %}
                    <div class="programming-language mr-4">
                        <span class="programming-language__dot" style="background:{{ repository.main_programming_language.color }}"></span>
                        {{ repository.main_programming_language }}
                    </div>
                    {% endif %}
                </div>
                {% endif %}
                <div class="flex ml-0 mt-1 md:mt-0">
                    <svg class="mr-1 size-5" viewBox="0 0 24 24">
                        <path fill="none" d="M0 0H24V24H0z"></path>
                        <path d="M12 2c5.523 0 10 4.477 10 10s-4.477 10-10 10S2 17.523 2 12h2c0 4.418 3.582 8 8 8s8-3.582 8-8-3.582-8-8-8C9.25 4 6.824 5.387 5.385 7.5H8v2H2v-6h2V6c1.824-2.43 4.729-4 8-4zm1 5v4.585l3.243 3.243-1.415 1.415L11 12.413V7h2z"></path>
                    </svg>{% language "nl" %}{{ repository.last_change | don_naturaltime }}{% endlanguage %} bijgewerkt
                </div>
            </div>
        </div>
    </div>
</li>
